This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 812313

Summary: Win7 installer fails to start, needs -no-kvm-irqchip to work
Product: [Fedora] Fedora Reporter: Christophe Fergeau <cfergeau>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: amit.shah, berrange, cfergeau, crobinso, dwmw2, herrold, itamar, jrankin, knoel, pbonzini, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-11 14:50:36 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Christophe Fergeau 2012-04-13 06:55:43 EDT
Description of problem:

When I try to start a VM with the win7 install iso, the installer freezes on the "Windows is loading files" screen

Version-Release number of selected component (if applicable):

qemu-kvm-1.0-11.fc17.x86_64

How reproducible:

always



Steps to Reproduce:
1. start a VM with qemu-kvm -m 1G -cdrom /home/teuf/isos/en_windows_7_enterprise_x86_dvd_x15-70745.iso (having a harddrive makes no difference) 

  
Actual results:
the "Windows is loading files" screen appears, the progress bar gets filled to 100%, and then nothing happens

Expected results:

the installer switches to graphical mode and the installation goes on

Additional info:

Adding -no-kvm-irqchip avoids this issue. I've reproduced this on 2 different machines (thinkpad x201 and t420). It happens too when using virt-install or virt-manager.
Comment 1 Fedora End Of Life 2013-07-04 00:12:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Cole Robinson 2013-07-11 14:50:36 EDT
win7 starts fine on F19 for me with no need for irqchip hacks, so closing as CURRENTRELEASE